Subject: command line editing with tcsh
From: Brad Barber <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 12 Mar 2001 15:53:17 -0500

I've recently installed cygwin and the cygwin version
of tcsh.  It is a big improvement over the older version
of tcsh (not bundled with cygwin).

Everything works well except for command editing.  If I insert
characters, the display overwrites and occasionally shifts right.
The underlying data is correct (i.e., the characters are inserted
into the line).   Command editing works fine with the bash
shell.

I checked stty.  It leaves "echoe" and "echoctl" while bash turns
these off.  "stty -echoe" does not change the flag.

Any ideas?

						--Brad

KANE:/usr/bin> stty -a
speed 38400 baud; rows 60; columns 80; line = 0;
intr = ^C; quit = ^\; erase = ^H; kill = ^U; eof = ^D; eol = <undef>;
eol2 = <undef>; start = ^Q; stop = ^S; susp = ^Z; rprnt = ^R; werase = ^W;
lnext = ^V; flush = ^O; min = 1; time = 0;
-parenb -parodd cs8 -hupcl -cstopb cread -clocal -crtscts
-ignbrk brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr icrnl ixon -ixoff
-iuclc -ixany -imaxbel
opost -olcuc -ocrnl onlcr -onocr -onlret -ofill -ofdel nl0 cr0 tab0 bs0 vt0 ff0
isig icanon iexten echo echoe -echok -echonl -noflsh -tostop echoctl -echoke

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple